PredicateNotType (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.core.predicates

## Class PredicateNotType

- java.lang.Object
- - org.cloudbus.cloudsim.core.predicates.Predicate
  - - org.cloudbus.cloudsim.core.predicates.PredicateNotType

-     public class PredicateNotType
      extends Predicate

  A predicate to select events that don't match specific tags.
  Since:
    CloudSim Toolkit 1.0
  Author:
    Marcos Dias de Assuncao
  See Also:
    `PredicateType`, `Predicate`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredicateNotType(int tag)` Constructor used to select events whose tags do not match a given tag.
    `PredicateNotType(int[] tags)` Constructor used to select events whose tag values do not match any of the given tags.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `match(SimEvent ev)` The match function called by `Simulation`, not used directly by the user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PredicateNotType

          public PredicateNotType(int tag)

      Constructor used to select events whose tags do not match a given tag.
      Parameters:
        `tag` - An event tag value

    - #### PredicateNotType

          public PredicateNotType(int[] tags)

      Constructor used to select events whose tag values do not match any of the given tags.
      Parameters:
        `tags` - the list of tags

  - ### Method Detail

    - #### match

          public boolean match(SimEvent ev)

      The match function called by `Simulation`, not used directly by the user.
      Specified by:
        `match` in class `Predicate`
      Parameters:
        `ev` - the ev
      Returns:
        true, if match

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.